org.codehaus.plexus.javadoc

## Class AbstractPlexusTaglet

- java.lang.Object
- - org.codehaus.plexus.javadoc.AbstractPlexusTaglet

All Implemented Interfaces:
  com.sun.tools.doclets.Taglet

Direct Known Subclasses:
  PlexusComponentTaglet, PlexusConfigurationTaglet, PlexusRequirementTaglet

    public abstract class AbstractPlexusTaglet
    extends java.lang.Object
    implements com.sun.tools.doclets.Taglet

Abstract `Taglet` for Plexus tags.

Version:
  $Id: AbstractPlexusTaglet.java 7277 2008-04-11 18:12:21Z bentmann $
Author:
  Vincent Siveton
See Also:
  http://plexus.codehaus.org/guides/developer-guide/appendices/javadoc-tags-reference.html

### Constructor Summary

Constructors
Constructor and Description
`AbstractPlexusTaglet()`

### Method Summary

Methods
`abstract java.lang.String` `getHeader()`
`java.lang.String` `toString(com.sun.javadoc.Tag tag)`
`java.lang.String` `toString(com.sun.javadoc.Tag[] tags)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.sun.tools.doclets.Taglet

`getName, inConstructor, inField, inMethod, inOverview, inPackage, inType, isInlineTag`

### Constructor Detail

#### AbstractPlexusTaglet

    public AbstractPlexusTaglet()

### Method Detail

#### toString

    public java.lang.String toString(com.sun.javadoc.Tag tag)

Specified by:
  `toString` in interface `com.sun.tools.doclets.Taglet`

#### toString

    public java.lang.String toString(com.sun.javadoc.Tag[] tags)

Specified by:
  `toString` in interface `com.sun.tools.doclets.Taglet`

#### getHeader

    public abstract java.lang.String getHeader()

Returns:
  the header to display